import { chromium } from '@playwright/test';
import fs from 'fs/promises';
import { USER_DATA_DIR } from './setup';

const IN_LOGIN = 'iborisov@acconcept.ru';
const IN_PASSWORD = 'PuNS8br2';

// const IN_LOGIN = 'dm9175025694';
// const IN_PASSWORD = '52547';

(async () => {
  // Launch persistent context with visible browser
  const context = await chromium.launchPersistentContext(USER_DATA_DIR, {
    headless: false
  });

  try {
    const page = context.pages().length > 0 ? context.pages()[0] : await context.newPage();

    await page.goto('https://account.garant.ru/login');

    await page.getByRole('textbox').fill(IN_LOGIN);
    await page.getByRole('button', { name: 'Войти' }).click();
    await page.getByRole('textbox').fill(IN_PASSWORD);
    await page.getByRole('button', { name: 'Войти' }).click();

    await page
      .getByRole('button', {
        name: 'Выйти из текущего сеанса и сменить пользователя'
      })
      .waitFor();

    await fs.writeFile('auth.json', JSON.stringify(await page.context().storageState()));
    console.log('✅ Saved login state to auth.json');
  } finally {
    await context.close();
  }
})();
